Subject: Re: [mobile-ip] questions on fast handoffs for MIPv6

From: Alper Yegin <[email-masked]>
Date: Wed, 6 Jun 2001 19:19:19 -0700 (PDT)

Hi Vijay,

> hi Alper,
> 
> > We have a 'U' Buffer Flag in HA message. And I think this makes it an 
optional
> > feature. oldAR MAY turn this flag on. Do you think we should spell this out 
in
> > the draft?
> 
> it is slightly different. by setting the 'U' flag, the oldAR basically
> tells the newAR, that i have been buffering packets for this particular
> MN. you should also do it.

Do you mean when U flag is turned on, that means both oldAR and newAR would be 
buffering? I'm not aware of that. I'm not aware of buffering at oldAR. If this 
is in the draft, I must be missing it. Can you point me where is this in the 
draft?

> and in the scenario, Madjid was talking about, the newAR is receiving
> packets forwarded by the oldAR to the MN. but the MN hasnt shown up
> yet. here it MUST buffer packets, whether the 'U' flag in the HI was 
> set or not. if it doesnt buffer, it has to drop the packets till the 
> MN shows up.

So, here you are saying newAR MUST buffer independent of U flag. I don't think 
we said that in the draft. Can I get a pointer for this one as well?

Yes, if newAR doesn't buffer, it must drop the packets. That's why we have U 
flag.

alper

> 
> vijay
> 
> > 
> > >
> > >
> > > 3- This question was asked on the list, I am not sure if I saw a 
convincing
> > > answer other than comparing F-BU with BU.
> > > The MN cannot use its newCoA as source address until it has received
> > > F-Back from oldAR. Then how does it use newCoA as source address in F-BU?
> > > Isn't this a chicken and egg problem? What am I missing?
> > > Also what about ingress filtering issue at oldAR?
> > >
> > 
> > MN doesn't have to use newCoA as the source address of F-BU. It can use 
oldCoA
> > as the source address, and include a alternate CoA suboption. (I'm not sure 
if
> > this is already stated in the draft. If not, we should add this.)
> > 
> > alper

alper

---

From: Rajeev Koodli <[email-masked]>
Date: Thu, 07 Jun 2001 10:30:33 -0700

> Yes, if newAR doesn't buffer, it must drop the packets. That's why we have U

I guess this was Vijay's point. There is a scenario when the packets start
arriving at new AR before the MN has
established connecitivity with new AR.

Perhaps, you could make the intent of 'U' flag more clear (with the above scenario
in mind) ?

Regards,

-Rajeev